Bug 195641 - snmpd doesn't start with undefined symbol: netsnmp_TCPIPv6Domain error
Summary: snmpd doesn't start with undefined symbol: netsnmp_TCPIPv6Domain error
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-16 10:22 UTC by Yavor Trapkov
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 09:48:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yavor Trapkov 2006-06-16 10:22:23 UTC
Description of problem: net-snmpd wasn't originally installed, after "up2date
net-snmp" and trying to start /etc/init.d/snmpd start I get the following error
message:

Starting snmpd: /usr/sbin/snmpd: symbol lookup error:
/usr/lib/libnetsnmpmibs.so.5: undefined symbol: netsnmp_TCPIPv6Domain

it's possible that related package/library wasn't installed on this particular
systems, but there was no rpm dependancy problem.

Version-Release number of selected component (if applicable):


How reproducible:
The problem appears only on two RHEL4 systems installed identically with limited
set of rpm packages, all other systems we have run snmpd without this problem.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
snmpd doesn't start

Expected results:
snmpd to start

Additional info:

Comment 1 Radek Vokal 2006-06-16 10:34:13 UTC
Which version of net-snmp do you have? Are you running SELinux? Did you modified
snmpd.conf file? How?

Comment 2 Yavor Trapkov 2006-06-16 11:23:10 UTC
net-snmp is the one distributed with RHEL4 - net-snmp-5.1.2-11.EL4.6
SELinux is configured in "permissive" mode
I did some changes, but I've tried with the standard snmpd.conf,
I also downloaded and recompiled net-snmp source rpm and it gives me the same
error message.

Comment 3 Radek Vokal 2006-06-16 11:53:16 UTC
Do you have net-snmp-libs installed? rpm -q net-snmp-libs

Comment 4 Yavor Trapkov 2006-06-16 12:00:52 UTC
net-snmp-libs is installed as well,

net-snmp-perl-5.1.2-11.EL4.6
net-snmp-5.1.2-11.EL4.6
net-snmp-utils-5.1.2-11.EL4.6
net-snmp-libs-5.1.2-11.EL4.6
net-snmp-devel-5.1.2-11.EL4.6


Comment 5 Jan Safranek 2007-06-15 08:45:02 UTC
I am sorry nobody took care of this bug. I am new maintainer of net-snmp an I am
cleaning old bugs. Are you still able to reproduce the bug in latest RHEL 4.5
update?


Comment 6 Yavor Trapkov 2007-06-15 09:15:25 UTC
we only have have the problem on two of our RHEL 4 systems, it persists after 
all recent RHEL4 updates, I've tried even to recompile snmp but the same result.

All our other installations properly start snmpd

We should reinstall with RHEL5, which I presume will fix the problem

I think you can close this Tt

BTW, there is another problem with the latest update of net-snmp 5.1.2 in RHEL4

the startup command is   OPTIONS="-Lsd -Lf /dev/null -p /var/run/snmpd.pid -a"

and we'd like to suppress the logging of the snmp queries, so
the following doesn't work on RHEL4 but work on RHEL5: #OPTIONS="-Lf /dev/null -
p /var/run/snmpd -a -I -smux"
instead, with RHEL4 I had to use OPTIONS="-l /dev/null -p /var/run/snmpd.pid -
a -I -smux"


Comment 7 Jan Safranek 2007-06-15 09:48:08 UTC
Thank you for the info. I am closing the bug.

Regarding your logging problem, I think it's already reported, see bug 241581.
It should be fixed in RHEL 4.6.


Note You need to log in before you can comment on or make changes to this bug.